org.springframework.jdbc.core.namedparam

## Class NamedParameterBatchUpdateUtils

- java.lang.Object
- - org.springframework.jdbc.core.BatchUpdateUtils
  - - org.springframework.jdbc.core.namedparam.NamedParameterBatchUpdateUtils

-     public class NamedParameterBatchUpdateUtils
      extends BatchUpdateUtils

  Generic utility methods for working with JDBC batch statements using named parameters. Mainly for internal use within the framework.
  Author:
    Thomas Risberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedParameterBatchUpdateUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `executeBatchUpdateWithNamedParameters(ParsedSql parsedSql, SqlParameterSource[] batchArgs, JdbcOperations jdbcOperations)`

    - ### Methods inherited from class org.springframework.jdbc.core.BatchUpdateUtils

      `executeBatchUpdate, setStatementParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedParameterBatchUpdateUtils

          public NamedParameterBatchUpdateUtils()

  - ### Method Detail

    - #### executeBatchUpdateWithNamedParameters

          public static int[] executeBatchUpdateWithNamedParameters(ParsedSql parsedSql,
                                                    SqlParameterSource[] batchArgs,
                                                    JdbcOperations jdbcOperations)